# Uses of Class
javax.swing.plaf.ToolBarUI

Packages that use ToolBarUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of ToolBarUI in javax.swing

Methods in javax.swing that return ToolBarUI
Modifier and Type
Method
Description
`ToolBarUI`
JToolBar.`getUI()`
Returns the tool bar's current UI.
Methods in javax.swing with parameters of type ToolBarUI
Modifier and Type
Method
Description
`void`
JToolBar.`setUI​(ToolBarUI ui)`
Sets the L&F object that renders this component.

## Uses of ToolBarUI in javax.swing.plaf.basic

Subclasses of ToolBarUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicToolBarUI`
A Basic L&F implementation of ToolBarUI.

## Uses of ToolBarUI in javax.swing.plaf.metal

Subclasses of ToolBarUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalToolBarUI`
A Metal Look and Feel implementation of ToolBarUI.

## Uses of ToolBarUI in javax.swing.plaf.multi

Subclasses of ToolBarUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiToolBarUI`
A multiplexing UI used to combine `ToolBarUI`s.

## Uses of ToolBarUI in javax.swing.plaf.synth

Subclasses of ToolBarUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthToolBarUI`
Provides the Synth L&F UI delegate for `JToolBar`.